gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.SignalArgs System.Obsolete("Events using this type were replaced by Gtk.Widget keybinding signal") Event data.

The following events invoke delegates which pass event data via this class:

- Constructor
  2.12.0.0
  Public Constructor.
  Create a new instance with this constructor if you need to invoke a delegate.
- Property
  2.12.0.0
  Gtk.DirectionType The direction to move the focus. a